io_uring_prep_statx(3)

NAME
io_uring_prep_statx - prepare a statx request

SYNOPSIS
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>
#include <liburing.h>

void io_uring_prep_statx(struct io_uring_sqe *sqe,
                         int dirfd,
                         const char *path,
                         int flags,
                         unsigned mask,
                         struct statx *statxbuf);

DESCRIPTION

The io_uring_prep_statx(3) function prepares a statx request. The submission queue entry sqe is setup to use the directory file descriptor pointed to by dirfd to start a statx operation on the path identified by path and using the flags given in flags for the fields specified by mask and into the buffer located at statxbuf. This function prepares an async statx(2) request. See that man page for details.

RETURN VALUE
None

ERRORS
The CQE res field will contain the result of the operation. See the related man page for details on possible values. Note that where synchronous system calls will return -1 on failure and set errno to the actual error value, io_uring never uses errno. Instead it returns the negated errno directly in the CQE res field.

NOTES
As with any request that passes in data in a struct, that data must remain valid until the request has been successfully submitted. It need not remain valid until completion. Once a request has been submitted, the in-kernel state is stable. Very early kernels (5.4 and earlier) required state to be stable until the completion occurred. Applications can test for this behavior by inspecting the IORING_FEAT_SUBMIT_STABLE flag passed back from io_uring_queue_init_params(3).

SEE ALSO
io_uring_get_sqe(3), io_uring_submit(3), statx(2)